Squid & Squid Guard not starting after install



  • Dear All,

    I have installed pfsense 1.2.3 on my my server after installation of packages Squid & Squid Guard is not start its working. please read the below error and help to get out of this problem.

    "Warning: dir(/usr/pbi/squid-i386/etc/squid/errors/): failed to open dir: No such file or directory in /etc/inc/pfsense-utils.inc on line 1699 Fatal error: Call to a member function on a non-object in /etc/inc/pfsense-utils.inc on line 1700"

    hoping for a quick reply from respected senior members.

    M. Touqeer Azam



  • The minimum pfSense version required for Squid is now 2.0.n
    I guess that the 1.2.3 package installer code doesn't have the code to check that, so it let you install it.
    The code in squid.inc is checking for version "2.0" to use pkg install dir names, it assumes that if you are not on 2.0.n that you are on a later version e.g. 2.1-BETA0 which uses pbi installer. So you are getting those messages about it trying to find dirs with "pbi" in the name.
    I would advise installing pfSense 2.0.1 and then install packages…


Locked